<!DOCTYPE html>
<html lang="en">
<head>
    <title></title>
</head>
<body>
    <form>
        <section>
            <p>Details</p>
            <fieldset>
                <label for="inputlista">lista de colores</label>
                <input type="listacolores" name="inputlista">
                <datalist id="listacolores">
                    <option value="azul">
                    <option value="rojo">
                    <option value="amarillo">
                    <option value="negro">
                    <option value="blanco">
                </datalist>
            </fieldset>
        </section>

        <section>
            <p>Url input</p>
            <fieldset>
                <label for="url">lista url</label>
                <input type="url" name="url" id="url"
                        placeholder="https://example.com"
                        pattern="https://.*" size="30"
                        list="listaurls"
                        required>
                    <datalist id="listaurls">
                        <option value="https://google.com" label="by google">
                        <option value="https://msn.com" label="by ms">
                    </datalist>
            </fieldset>
        </section>
        <section>
            <p>range</p>
            <fieldset>
                <label for="range">Rangos</label>
                <input type="range" list="listanums" step="1" name="range"
                        max="6" min="0"
                        >
                        <datalist id="listanums">
                           <option value="0" label="cero">
                           <option value="1" label="uno">
                           <option value="2" label="dos">
                           <option value="3" label="tres">
                           <option value="4" label="cuatro">
                           <option value="5" label="cinco">
                        </datalist>
                        <a href="" target="_blank"></a>
            </fieldset>
        </section>
        <br>
        <input type="submit" name="btn_enviar" value="Enviar">
        <input type="reset" name="btn_limpiar" value="Limpiar">
    </form>
</body>
</html>